#ifndef __niflexrioapi_defines_h__
#define __niflexrioapi_defines_h__

#ifndef NiFpga_Linux
#if defined(__linux__)                          \
   || defined(__linux)                          \
   || defined(linux)                            \
   || defined(__gnu_linux__)
#define NiFpga_Linux 1
#endif /* symbol check */
#endif /* NiFpga_Linux */

#ifdef NiFpga_Linux

/* This symbol should be set during the build of the NI library */
#ifdef kNIFLEXRIOAPIExportSymbols
  #define _NIFLEXRIOAPI_EXPORT __attribute__ ((section (".export"))) __attribute__((__visibility__("default")))
#else
  #define _NIFLEXRIOAPI_EXPORT
#endif

#else /* assume Windows if not linux */

/* This symbol should be set during the build of the NI library */
#ifdef kNIFLEXRIOAPIExportSymbols
  #define _NIFLEXRIOAPI_EXPORT __declspec(dllexport) __cdecl
#else
  #define _NIFLEXRIOAPI_EXPORT __cdecl
#endif
#endif /* ifndef NiFpga_Linux */

#include <stdint.h>
#include <stdlib.h>


/*
 * The canonical source of the NiFpga_Session type is the NiFpga.h header
 * generated by the FPGA Interface C API Generator for a specific bitfile.
 *
 * This typedef is duplicated here to allow using the FlexRIO API even when
 * the generated NiFpga.h header for a bitfile is unavailable.
 *
 * If your project is using a generated NiFpga.h header, please include it
 * prior to including niflexrioapi.h. For example:
 *
 *    #include <NiFpga.h>
 *    #include <niflexrioapi.h>
 */


#if defined(NiFpga_Cpp) || defined(NiFpga_C89)
#define NIFLEXRIOAPI_DO_NOT_PROVIDE_NIFPGA_SESSION
#endif

#ifndef NIFLEXRIOAPI_DO_NOT_PROVIDE_NIFPGA_SESSION
typedef uint32_t NiFpga_Session;
#endif

static const uint32_t kFlexRIO_ResourceType_Any = 0xFFFFffff;

#if !defined(_NIComplexI16)
#define _NIComplexI16

typedef struct NIComplexI16_struct {
   int16_t real;      /* I */
   int16_t imaginary; /* Q */
} NIComplexI16;

#endif

#endif /* __niflexrioapi_defines_h__ */
