

#ifndef __niflexrioapi_enums_h__
#define __niflexrioapi_enums_h__

typedef enum {
   kFlexRIO_ExtClkSrc_FrontPanel  = 0,  /* External clock terminal on the front panel */
} FlexRIO_ExtClkSrc;

typedef enum {
   kFlexRIO_Coupling_Ac           = 0, 
   kFlexRIO_Coupling_Dc           = 1, 
} FlexRIO_Coupling;

typedef enum {
   kFlexRIO_IoModuleRefClkPinSrc_Disabled = 0,  /* Disabled */
   kFlexRIO_IoModuleRefClkPinSrc_PXI_Clk10 = 1,  /* Backplane 10MHz clock */
   kFlexRIO_IoModuleRefClkPinSrc_PXIe_Clk100 = 2,  /* Backplane 100MHz clock */
} FlexRIO_IoModuleRefClkPinSrc;

typedef enum {
   kFlexRIO_StreamDataFormat_Interleaved = 0,  /* Indicates that data from all channels is interleaved and transferred via a single FIFO. */
   kFlexRIO_StreamDataFormat_FifoPerChannel = 1,  /* Indicates that each channel has its own associated FIFO through which data is transferred. */
} FlexRIO_StreamDataFormat;

typedef enum {
   kFlexRIO_TriggerType_Immediate = 0,  /* Specifies an immediate trigger */
   kFlexRIO_TriggerType_Digital   = 1,  /* Specifies a digital trigger */
   kFlexRIO_TriggerType_User      = 2,  /* Specifies a user-defined trigger */
   kFlexRIO_TriggerType_Dio       = 3,  /* Specifies a DIO trigger */
   kFlexRIO_TriggerType_Analog    = 4,  /* Specifies an analog trigger */
   kFlexRIO_TriggerType_ExternalAnalog = 5,  /* Specifies an external analog trigger */
} FlexRIO_TriggerType;

typedef enum {
   kFlexRIO_BusType_PXIe          = 0,  /* PXI Express */
   kFlexRIO_BusType_PCIe          = 1,  /* PCI Express */
} FlexRIO_BusType;

typedef enum {
   kFlexRIO_BaseboardRefClkSrc_Onboard = 0,  /* Onboard reference clock. */
   kFlexRIO_BaseboardRefClkSrc_SynchronizationConnector = 1,  /* Reference clock sourced from the FlexRIO synchronization connector. */
} FlexRIO_BaseboardRefClkSrc;

typedef enum {
   kFlexRIO_RefClkSrc_Default     = 0,  /* Default for the board */
   kFlexRIO_RefClkSrc_Onboard     = 1,  /* Onboard reference clock */
   kFlexRIO_RefClkSrc_PXI_Clk10   = 2,  /* 10 MHz Backplane clock */
   kFlexRIO_RefClkSrc_External    = 3,  /* External reference source */
   kFlexRIO_RefClkSrc_None        = 4,  /* No reference clock */
   kFlexRIO_RefClkSrc_BaseboardReference = 5,  /* Reference clock provided by the baseboard. The baseboard's reference can be controlled using the Baseboard Reference Clock Source attribute. */
   kFlexRIO_RefClkSrc_PXI_Clk100  = 6,  /* 100 MHz Backplane clock */
} FlexRIO_RefClkSrc;

typedef enum {
   kFlexRIO_TriggerSensitivity_RisingEdge = 2147483647,  /* Trigger is active on a transition from low to high */
   kFlexRIO_TriggerSensitivity_FallingEdge = 2147483646,  /* Trigger is active on a transition from high to low */
   kFlexRIO_TriggerSensitivity_HighLevel = 2147483645,  /* Trigger is active on a high-level input */
   kFlexRIO_TriggerSensitivity_LowLevel = 2147483644,  /* Trigger is active on a low-level input */
} FlexRIO_TriggerSensitivity;

typedef enum {
   kFlexRIO_StartTriggerSync_Disabled = 0,  /* Start trigger synchronizers disabled. */
   kFlexRIO_StartTriggerSync_Master = 1,  /* Start trigger synchronizers configured for being a TClk master. */
   kFlexRIO_StartTriggerSync_Slave = 2,  /* Start trigger synchronizers configured for being a TClk slave. */
} FlexRIO_StartTriggerSync;

typedef enum {
   kFlexRIO_SampleClkSrc_Internal = 0,  /* Internally generated sample clock */
   kFlexRIO_SampleClkSrc_FrontPanel = 1,  /* External clock terminal on the front panel */
} FlexRIO_SampleClkSrc;

typedef enum {
   kFlexRIO_DacDigitalUpconverterMode_Disabled = 0,  /* Upconverter disabled */
   kFlexRIO_DacDigitalUpconverterMode_EnabledAo0 = 1,  /* Enabled AO 0 */
   kFlexRIO_DacDigitalUpconverterMode_EnabledAo1 = 2,  /* Enabled AO 1 */
   kFlexRIO_DacDigitalUpconverterMode_EnabledAo0Ao1 = 3,  /* Enabled AO 0 and AO 1 */
} FlexRIO_DacDigitalUpconverterMode;


#endif /* __niflexrioapi_enums_h__ */
